.loader-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    transition: opacity 0.3s ease-in-out;
}

.loader {
    width: 60px;
    height: 60px;
    position: relative;
}

.loading-animation {
    width: 100%;
    height: 100%;
    border: 5px solid #f3f3f3;
    border-top: 5px solid #3498db;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.loader-wrapper.fade-out {
    opacity: 0;
    pointer-events: none;
}
.table {
    width: 100%;
    max-width: 100%;
    margin-bottom: 1rem;
    font-size: 1em; }
.table th,
.table td {
    padding: 0.45rem 0.2em 0.45rem 0.2em;
    vertical-align: top;
    border-top: 1px solid #eceeef; }
.table thead th {
    vertical-align: bottom;
    border-bottom: 2px solid #eceeef; }
.table tbody + tbody {
    border-top: 2px solid #eceeef; }
.table .table {
    background-color: #fff; }

.table .tableau td,.table .titre td {
    border-left: 1px solid #eceeef;
}
.table .titre th {
    background: #2d2d2d !important;
    color: #ffffff !important;
    border-left: 1px solid #eceeef;
}

.table-sm th,
.table-sm td {
    padding: 0.3rem; }

.table-bordered {
    border: 1px solid #eceeef; }
.table-bordered th,
.table-bordered td {
    border: 1px solid #eceeef; }
.table-bordered thead th,
.table-bordered thead td {
    border-bottom-width: 2px; }

.table-striped tbody tr:nth-of-type(odd) {
    background-color: rgba(0, 0, 0, 0.05); }

.table-hover tbody tr:hover {
    background-color: rgba(0, 0, 0, 0.075); }

.table-active,
.table-active > th,
.table-active > td {
    background-color: rgba(0, 0, 0, 0.075); }

.table-hover .table-active:hover {
    background-color: rgba(0, 0, 0, 0.075); }
.table-hover .table-active:hover > td,
.table-hover .table-active:hover > th {
    background-color: rgba(0, 0, 0, 0.075); }

.table-success,
.table-success > th,
.table-success > td {
    background-color: #dff0d8; }

.table-hover .table-success:hover {
    background-color: #d0e9c6; }
.table-hover .table-success:hover > td,
.table-hover .table-success:hover > th {
    background-color: #d0e9c6; }

.table-info,
.table-info > th,
.table-info > td {
    background-color: #d9edf7; }

.table-hover .table-info:hover {
    background-color: #c4e3f3; }
.table-hover .table-info:hover > td,
.table-hover .table-info:hover > th {
    background-color: #c4e3f3; }

.table-warning,
.table-warning > th,
.table-warning > td {
    background-color: #fcf8e3; }

.table-hover .table-warning:hover {
    background-color: #faf2cc; }
.table-hover .table-warning:hover > td,
.table-hover .table-warning:hover > th {
    background-color: #faf2cc; }

.table-danger,
.table-danger > th,
.table-danger > td {
    background-color: #f2dede; }

.table-hover .table-danger:hover {
    background-color: #ebcccc; }
.table-hover .table-danger:hover > td,
.table-hover .table-danger:hover > th {
    background-color: #ebcccc; }

.thead-inverse th {
    color: #fff;
    background-color: #292b2c; }

.thead-default th {
    color: #464a4c;
    background-color: #eceeef; }

.table-inverse {
    color: #fff;
    background-color: #292b2c; }
.table-inverse th,
.table-inverse td,
.table-inverse thead th {
    border-color: #fff; }
.table-inverse.table-bordered {
    border: 0; }

.table-responsive {
    display: block;
    width: 100%;
    overflow-x: auto;
    -ms-overflow-style: -ms-autohiding-scrollbar; }
.table-responsive.table-bordered {
    border: 0; }


.form-control {
    border-radius: 5px !important;
    height: 60px;
    padding-left: 38px;
    padding-top: 20px;
}

.date-input::before {
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    content: "\f073"; /* Icône calendrier */
    position: absolute;
    top: 18px;
    left: 12px;
    color: #495057;
    z-index: 9;
    font-size: 16px;
}

.datetimepicker-widget {
    border-radius: 10px;
    background-color: #d2232a;
    box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.2);
}

.datetimepicker-widget table td.day:hover {
    background-color: #d2232a;
    color: #fff;
    border-radius: 50%;
}

.datetimepicker-widget table td.disabled,
.datetimepicker-widget table td.disabled:hover {
    text-decoration: line-through;
    color: #999;
    cursor: not-allowed;
}

.label-pos {
    position: absolute;
    bottom: 26px;
    left: 40px;
    font-size: 13px !important;
    color: #333;
    z-index: 9;
    font-weight: 400;
}
.custom-control-label {
    font-size: 14px !important;
}
.btn-custom {
    color: #ffffff;
    background-color: #d2232a;
    border-color: #d2232a;
    border-radius: 2px;
    height: 60px;
}

.btn-custom:hover {
    background-color: #333333;
    color: #ffffff;
    border-color: #333333;
}


/* Forcer l'apparence du bouton radio */
input[type="radio"] {
    background-color: #fff; /* Fond blanc */
    border: 2px solid #007bff; /* Bordure bleue */
    width: 20px;  /* Taille ajustée */
    height: 20px; /* Taille ajustée */
}

input[type="radio"]:checked {
    background-color: #007bff; /* Couleur du bouton coché */
    border-color: #007bff;
}


.custom-checkbox {
    padding-left: 2rem;
}

/* C'est le style pour l'élément avant le tick (non coché) */
.custom-control-label::before {
    position: absolute;
    top: 0.5rem;
    left: 0rem;
    display: block;
    width: 1.4rem;
    height: 1.4rem;
    pointer-events: none;
    content: "";
    background-color: #fff; /* Couleur de fond du bouton */
    border: #000000 solid 2px; /* Bordure */
    border-radius: 50%; /* Bordure ronde */
    border-top-color: rgb(173, 181, 189);
    border-right-color: rgb(173, 181, 189);
    border-bottom-color: rgb(173, 181, 189);
    border-left-color: rgb(173, 181, 189);
    transition: background-color 0.3s, border-color 0.3s;
}

/* Lorsque l'élément est coché (checked), changer l'arrière-plan, la bordure et ajouter un tick */
.custom-control-input:checked ~ .custom-control-label::before {
    background-color: #4caf50; /* Couleur de fond quand coché (vert) */
    border-color: #4caf50; /* Bordure verte */
    content: "\2713"; /* Symbole de tick (?) */
    color: white; /* Couleur du tick */
    font-size: 1.1rem; /* Taille du tick */
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    transition: background-color 0.3s, border-color 0.3s, color 0.3s;
}

.modal-dialog{
    margin-top:150px;
}

/* Style personnalisé pour le modal */
.modal-header {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    padding: 1rem 1rem;
    border-bottom: 1px solid #dee2e6;
    border-top-left-radius: .3rem;
    border-top-right-radius: .3rem;
}

.modal-title {
    font-size: 1.8rem;
}

.modal-body {
    padding: 30px;
}

.form-group label {
    font-weight: bold;
    color: #333;
}

.modal-dialog .form-control {
    border-radius: 5px !important;
    height: auto !important;
    padding-left: 38px;
    padding-top: 10px;
}

.form-control:focus {
    border-color: #007bff; /* Changer la couleur des bordures quand le champ est sélectionné */
    box-shadow: 0 0 5px rgba(0, 123, 255, 0.5);
}


.modal-dialog .input-group-text {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    padding: 1.4rem 1.2rem;
    margin-bottom: 0;
    font-size: 1.2rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    text-align: center;
    white-space: nowrap;
    background-color: #e9ecef;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    border-top-right-radius: 0.25rem;
    border-bottom-right-radius: 0.25rem;
}

.modal-header .close {
    font-size: 2rem;
    padding: 1rem 1rem;
    margin: -1rem -1rem -1rem auto;
}
